io.vertx.ext.stomp

## Class PermittedOptions

- java.lang.Object
- - io.vertx.ext.stomp.PermittedOptions

-     public class PermittedOptions
      extends Object

  Specify a match to allow for inbound and outbound traffic.
  Author:
    Clement Escoffier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ADDRESS` The default permitted address : `null`.
    `static String` | `DEFAULT_ADDRESS_REGEX` The default permitted address regex : `null`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermittedOptions()`
    `PermittedOptions(JsonObject json)`
    `PermittedOptions(PermittedOptions that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `String` | `getAddressRegex()`
    `PermittedOptions` | `setAddress(String address)` The exact address the message is being sent to.
    `PermittedOptions` | `setAddressRegex(String addressRegex)` A regular expression that will be matched against the address.
    `JsonObject` | `toJson()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ADDRESS

          public static String DEFAULT_ADDRESS

      The default permitted address : `null`.

    - #### DEFAULT_ADDRESS_REGEX

          public static String DEFAULT_ADDRESS_REGEX

      The default permitted address regex : `null`.

  - ### Constructor Detail

    - #### PermittedOptions

          public PermittedOptions()

    - #### PermittedOptions

          public PermittedOptions(PermittedOptions that)

    - #### PermittedOptions

          public PermittedOptions(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getAddress

          public String getAddress()

    - #### setAddress

          public PermittedOptions setAddress(String address)

      The exact address the message is being sent to. If you want to allow messages based on an exact address you use this field.
      Parameters:
        `address` - the address
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAddressRegex

          public String getAddressRegex()

    - #### setAddressRegex

          public PermittedOptions setAddressRegex(String addressRegex)

      A regular expression that will be matched against the address. If you want to allow messages based on a regular expression you use this field. If the `setAddress(java.lang.String)` value is specified this will be ignored.
      Parameters:
        `addressRegex` - the address regex
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2015. All rights reserved.